# grunt-filesizegzip

> Output file size information

## Getting Started
This plugin requires Grunt `~0.4.5`

If you haven't used [Grunt](http://gruntjs.com/) before, be sure to check out the [Getting Started](http://gruntjs.com/getting-started) guide, as it explains how to create a [Gruntfile](http://gruntjs.com/sample-gruntfile) as well as install and use Grunt plugins. Once you're familiar with that process, you may install this plugin with this command:

```shell
npm install grunt-filesizegzip --save-dev
```

Once the plugin has been installed, it may be enabled inside your Gruntfile with this line of JavaScript:

```js
grunt.loadNpmTasks('grunt-filesizegzip');
```

![](screenshot.png)

## The "filesizegzip" task

### Overview
In your project's Gruntfile, add a section named `filesizegzip` to the data object passed into `grunt.initConfig()`.

```js
grunt.initConfig({
	filesizegzip: {
		options: {
			// Task-specific options go here.
			gzip: false
		},
		your_target: {
			// Target-specific file lists and/or options go here.
			src: 'path/to/file.js',
			options: {
				gzip: false
			}
		},
	},
});
```

### Options

#### options.gzip
Type: `Boolean`
Default value: `true`

Set to true if you want to see the gzip size as well

### Usage Examples

#### Default Options
In this example, the default options are used to do something with whatever. So if the `testing` file has the content `Testing` and the `123` file had the content `1 2 3`, the generated result would be `Testing, 1 2 3.`

```js
grunt.initConfig({
	filesizegzip: {
		options: {},
		src: ''
	},
});
```

#### Custom Options
In this example, custom options are used to do something else with whatever else. So if the `testing` file has the content `Testing` and the `123` file had the content `1 2 3`, the generated result in this case would be `Testing: 1 2 3 !!!`

```js
grunt.initConfig({
	filesizegzip: {
		one: {
			options: {
				gzip: false
			},
			src: 'test/filesizegzip_test.js'
		},

		two: {
			src: 'tasks/filesizegzip.js'
		}
	},
});
```

## Contributing
In lieu of a formal styleguide, take care to maintain the existing coding style. Add unit tests for any new or changed functionality. Lint and test your code using [Grunt](http://gruntjs.com/).
